Bug 97465 - Calc doesn't show referenced cell highlights (colored borders) for selected formula when using the GTK3 UI version
Summary: Calc doesn't show referenced cell highlights (colored borders) for selected f...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.4.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.2.0 target:5.1.1 target:5.0.6
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-31 17:11 UTC by Jean-François Fortin Tam
Modified: 2016-10-25 19:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-François Fortin Tam 2016-01-31 17:11:41 UTC
When running libreoffice-gtk3 from Fedora 23's repositories, Calc won't show colors to identify the cells referenced inside a formula and on the spreadsheet. Uninstalling the libreoffice-gtk3 package solves the issue.
Comment 1 Cor Nouws 2016-01-31 17:52:49 UTC
Hi Jean-Fraincois,

Thanks for submitting the issue. I confirm the wrong behaviour frm my own experience.
But the issue needs more triage.. So marking that.

Cheers - Cor
Comment 2 Commit Notification 2016-02-05 14:48:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e35f3b6a3357fc3832a9d68ed37ddb9b5320ef0a

Resolves: tdf#97465 like scroll ignore wheel for sc input handler inputchanged

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-02-05 14:52:13 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=113f000d38c34dd4dda6903976f8febf6d95375c&h=libreoffice-5-1

Resolves: tdf#97465 like scroll ignore wheel for sc input handler inputchanged

It will be available in 5.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Cor Nouws 2016-02-05 15:00:39 UTC
thanks!
Comment 5 Commit Notification 2016-02-19 15:00:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=daa1882dc2360cead712c3f100cbef0f35c74f5d&h=libreoffice-5-0

Resolves: tdf#97465 like wheel ignore swipe for sc input handler inputchanged

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.